Skip to content
Start here

Get the Latest Scan Result

client.cloudforceOne.scans.results.get(stringconfigId, ResultGetParams { account_id } params, RequestOptionsoptions?): ResultGetResponse { 1.1.1.1 }
GET/accounts/{account_id}/cloudforce-one/scans/results/{config_id}

Get the Latest Scan Result

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
ParametersExpand Collapse
configId: string

Defines the Config ID.

params: ResultGetParams { account_id }
account_id: string

Defines the Account ID.

ReturnsExpand Collapse
ResultGetResponse { 1.1.1.1 }
"1.1.1.1": Array<ScanResult { number, proto, status } >
number?: number
proto?: string
status?: string

Get the Latest Scan Result

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const result = await client.cloudforceOne.scans.results.get('config_id', {
  account_id: 'account_id',
});

console.log(result['1.1.1.1']);
{
  "errors": [
    "string"
  ],
  "messages": [
    "string"
  ],
  "result": {
    "1.1.1.1": [
      {
        "number": 8080,
        "proto": "tcp",
        "status": "open"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "errors": [
    "string"
  ],
  "messages": [
    "string"
  ],
  "result": {
    "1.1.1.1": [
      {
        "number": 8080,
        "proto": "tcp",
        "status": "open"
      }
    ]
  },
  "success": true
}